{
  "custom": {},
  "params": {
    "configuring": false,
    "equipmentPath": "",
    "timePeriod": "",
    "title": "Blocked Starved By Hour"
  },
  "propConfig": {
    "params.configuring": {
      "onChange": {
        "enabled": null,
        "script": "\tviewParams\u003dself.params\n\tconfigParams\u003dself.getChild(\"root/configuration\").props.params\n\tif currentValue.value:\n\t\tconfigParams.equipmentPathIn \u003d viewParams.equipmentPath\t\n\t\tconfigParams.timePeriodIn \u003d viewParams.timePeriod\n\t\tconfigParams.titleIn \u003d viewParams.title\n\telif previousValue is not None and previousValue.value:\n\t\tviewParams.equipmentPath \u003d configParams.equipmentPathOut\n\t\tviewParams.timePeriod \u003d configParams.timePeriodOut\n\t\tviewParams.title \u003d configParams.titleOut "
      },
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.timePeriod": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.title": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 450,
      "width": 700
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "custom": {
              "data": []
            },
            "meta": {
              "name": "mesAnalysisController",
              "visible": false
            },
            "position": {
              "basis": "64px",
              "display": false
            },
            "propConfig": {
              "custom.end": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "runScript(\u0027shared.mes.schedule.getTagPathForTimePeriodEnd\u0027, 0, {view.params.timePeriod}, {view.params.equipmentPath})"
                  },
                  "transforms": [
                    {
                      "code": "\tif not value:\n\t\treturn system.date.now()\n\treturn value",
                      "type": "script"
                    }
                  ],
                  "type": "tag"
                }
              },
              "custom.start": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "runScript(\u0027shared.mes.schedule.getTagPathForTimePeriodStart\u0027, 0, {view.params.timePeriod}, {view.params.equipmentPath})"
                  },
                  "transforms": [
                    {
                      "code": "\tif not value:\n\t\treturn system.date.addMinutes(system.date.now(), -2)\n\treturn value",
                      "type": "script"
                    }
                  ],
                  "type": "tag"
                }
              },
              "custom.update": {
                "binding": {
                  "config": {
                    "struct": {
                      "end": "{this.custom.end}",
                      "eqPath": "{view.params.equipmentPath}",
                      "period": "{view.params.timePeriod}",
                      "start": "{this.custom.start}"
                    },
                    "waitOnAll": true
                  },
                  "transforms": [
                    {
                      "code": "\tself.props.endDate  \u003d value[\"end\"]\n\tself.props.startDate \u003d value[\"start\"]\n\treturn value",
                      "type": "script"
                    }
                  ],
                  "type": "expr-struct"
                }
              },
              "props.data": {
                "onChange": {
                  "enabled": null,
                  "script": "\tds \u003d currentValue.value\n\tdata \u003d []\n\tts \u003d None\n\titem \u003d {}\n\tfor row in range(ds.getRowCount()):\n\t\tif not ts:\n\t\t\tts \u003d str(system.date.toMillis(ds.getValueAt(row,\u0027Hour Interval\u0027)))\n\t\t\t#item.update({\u0027time\u0027:ts, ds.getValueAt(row,\u0027Equipment State Type\u0027):ds.getValueAt(row,\u0027State Duration\u0027)})\n\t\t\titem.update({\u0027time\u0027:ds.getValueAt(row,\u0027Hour Interval\u0027), ds.getValueAt(row,\u0027Equipment State Type\u0027):round(float(ds.getValueAt(row,\u0027State Duration\u0027)),2)})\n\t\t\t\n\t\t\tif row \u003d\u003d ds.getRowCount()-1:\n\t\t\t\tdata.append(item)\n\t\telse:\n\t\t\titem.update({ds.getValueAt(row,\u0027Equipment State Type\u0027):round(float(ds.getValueAt(row,\u0027State Duration\u0027)),2)})\n\t\t\tdata.append(item)\n\t\t\titem \u003d{}\n\t\t\tts \u003dNone\n\n\tself.custom.data \u003d data"
                }
              },
              "props.endDate": {
                "persistent": true
              },
              "props.filterParams[0].value": {
                "binding": {
                  "config": {
                    "path": "view.params.equipmentPath"
                  },
                  "type": "property"
                },
                "persistent": false
              },
              "props.startDate": {
                "persistent": true
              }
            },
            "props": {
              "data": {
                "$": [
                  "ds",
                  192,
                  1712785013755
                ],
                "$columns": []
              },
              "drillDownOptions": {
                "$": [
                  "ds",
                  192,
                  1712784987117
                ],
                "$columns": []
              },
              "endDate": {
                "$": [
                  "ts",
                  192,
                  1712785013499
                ],
                "$ts": 1712785013497
              },
              "filterParams": [
                {
                  "param": "eqPath",
                  "type": "string"
                }
              ],
              "message": "Error executing analysis, check Gateway log for full stacktrace: The value for the (Equipment Path) filter item cannot be blank.",
              "refreshOnSettingsChange": true,
              "selectedAnalysisName": "Starved Blocked",
              "startDate": {
                "$": [
                  "ts",
                  192,
                  1712785013499
                ],
                "$ts": 1712784867230
              }
            },
            "type": "mes.production.mesAnalysisController"
          },
          {
            "meta": {
              "name": "title"
            },
            "position": {
              "shrink": 0
            },
            "propConfig": {
              "position.display": {
                "binding": {
                  "config": {
                    "expression": "coalesce({view.params.title},\u0027\u0027)!\u003d\u0027\u0027"
                  },
                  "type": "expr"
                }
              },
              "props.params.text": {
                "binding": {
                  "config": {
                    "path": "view.params.title"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "path": "Page/Embedded/Widget Title"
            },
            "type": "ia.display.view"
          },
          {
            "meta": {
              "name": "XYChart"
            },
            "position": {
              "basis": "375px",
              "grow": 1
            },
            "propConfig": {
              "props.dataSources.example": {
                "binding": {
                  "config": {
                    "path": "../mesAnalysisController.custom.data"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "background": {
                "color": "#C0C0C000",
                "render": "color"
              },
              "dataSources": {},
              "legend": {
                "labels": {
                  "font": {
                    "size": 14
                  }
                },
                "markers": {
                  "height": 15,
                  "width": 15
                }
              },
              "series": [
                {
                  "candlestick": {
                    "appearance": {
                      "deriveFieldsFromData": {
                        "fill": {
                          "color": "",
                          "opacity": ""
                        },
                        "stroke": {
                          "color": "",
                          "opacity": "",
                          "width": ""
                        }
                      },
                      "fill": {
                        "color": "",
                        "opacity": 1
                      },
                      "heatRules": {
                        "dataField": "",
                        "enabled": false,
                        "max": "",
                        "min": ""
                      },
                      "stacked": false,
                      "stroke": {
                        "color": "",
                        "opacity": 1,
                        "width": 1
                      }
                    },
                    "high": {
                      "x": "",
                      "y": ""
                    },
                    "low": {
                      "x": "",
                      "y": ""
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "column": {
                    "appearance": {
                      "deriveFieldsFromData": {
                        "fill": {
                          "color": "",
                          "opacity": ""
                        },
                        "stroke": {
                          "color": "",
                          "opacity": "",
                          "width": ""
                        }
                      },
                      "fill": {
                        "color": "#62CBC9",
                        "opacity": 1
                      },
                      "heatRules": {
                        "dataField": "",
                        "enabled": false,
                        "max": "",
                        "min": ""
                      },
                      "height": null,
                      "stacked": false,
                      "stroke": {
                        "color": "#62CBC9",
                        "opacity": 1,
                        "width": 1
                      },
                      "width": null
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "data": {
                    "source": "example",
                    "x": "time",
                    "y": "Starved"
                  },
                  "defaultState": {
                    "visible": true
                  },
                  "hiddenInLegend": false,
                  "label": {
                    "text": "Starved"
                  },
                  "line": {
                    "appearance": {
                      "bullets": [
                        {
                          "deriveFieldsFromData": {
                            "fill": {
                              "color": "",
                              "opacity": ""
                            },
                            "rotation": "",
                            "stroke": {
                              "color": "",
                              "opacity": "",
                              "width": ""
                            }
                          },
                          "enabled": false,
                          "fill": {
                            "color": "",
                            "opacity": 1
                          },
                          "heatRules": {
                            "dataField": "",
                            "enabled": false,
                            "max": 100,
                            "min": 2
                          },
                          "height": 10,
                          "label": {
                            "position": {
                              "dx": 0,
                              "dy": 0
                            },
                            "text": "{value}"
                          },
                          "render": "circle",
                          "rotation": 0,
                          "stroke": {
                            "color": "",
                            "opacity": 1,
                            "width": 1
                          },
                          "tooltip": {
                            "background": {
                              "color": "",
                              "opacity": 1
                            },
                            "cornerRadius": 3,
                            "enabled": true,
                            "pointerLength": 4,
                            "text": "{name}: [bold]{valueY}[/]"
                          },
                          "width": 10
                        }
                      ],
                      "connect": true,
                      "fill": {
                        "color": "",
                        "opacity": 0
                      },
                      "minDistance": 0.5,
                      "stroke": {
                        "color": "",
                        "dashArray": "",
                        "opacity": 1,
                        "width": 3
                      },
                      "tensionX": 1,
                      "tensionY": 1
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "name": "Starved",
                  "render": "column",
                  "stepLine": {
                    "appearance": {
                      "bullets": [
                        {
                          "deriveFieldsFromData": {
                            "fill": {
                              "color": "",
                              "opacity": ""
                            },
                            "rotation": "",
                            "stroke": {
                              "color": "",
                              "opacity": "",
                              "width": ""
                            }
                          },
                          "enabled": true,
                          "fill": {
                            "color": "",
                            "opacity": 1
                          },
                          "heatRules": {
                            "dataField": "",
                            "enabled": false,
                            "max": 100,
                            "min": 2
                          },
                          "height": 10,
                          "label": {
                            "position": {
                              "dx": 0,
                              "dy": 0
                            },
                            "text": "{value}"
                          },
                          "render": "circle",
                          "rotation": 0,
                          "stroke": {
                            "color": "",
                            "opacity": 1,
                            "width": 1
                          },
                          "tooltip": {
                            "background": {
                              "color": "",
                              "opacity": 1
                            },
                            "cornerRadius": 3,
                            "enabled": true,
                            "pointerLength": 4,
                            "text": "{name}: [bold]{valueY}[/]"
                          },
                          "width": 10
                        }
                      ],
                      "connect": true,
                      "fill": {
                        "color": "",
                        "opacity": 0
                      },
                      "minDistance": 0.5,
                      "stroke": {
                        "color": "",
                        "dashArray": "",
                        "opacity": 1,
                        "width": 3
                      },
                      "tensionX": 1,
                      "tensionY": 1
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "tooltip": {
                    "background": {
                      "color": "",
                      "opacity": 1
                    },
                    "cornerRadius": 3,
                    "enabled": true,
                    "pointerLength": 4,
                    "text": "{name}: [bold]{valueY}[/] min"
                  },
                  "visible": true,
                  "xAxis": "time",
                  "yAxis": "Starved",
                  "zIndex": 0
                },
                {
                  "candlestick": {
                    "appearance": {
                      "deriveFieldsFromData": {
                        "fill": {
                          "color": "",
                          "opacity": ""
                        },
                        "stroke": {
                          "color": "",
                          "opacity": "",
                          "width": ""
                        }
                      },
                      "fill": {
                        "color": "",
                        "opacity": 1
                      },
                      "heatRules": {
                        "dataField": "",
                        "enabled": false,
                        "max": "",
                        "min": ""
                      },
                      "stacked": false,
                      "stroke": {
                        "color": "",
                        "opacity": 1,
                        "width": 1
                      }
                    },
                    "high": {
                      "x": "",
                      "y": ""
                    },
                    "low": {
                      "x": "",
                      "y": ""
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "column": {
                    "appearance": {
                      "deriveFieldsFromData": {
                        "fill": {
                          "color": "",
                          "opacity": ""
                        },
                        "stroke": {
                          "color": "",
                          "opacity": "",
                          "width": ""
                        }
                      },
                      "fill": {
                        "color": "#D48232",
                        "opacity": 1
                      },
                      "heatRules": {
                        "dataField": "",
                        "enabled": false,
                        "max": "",
                        "min": ""
                      },
                      "height": null,
                      "stacked": true,
                      "stroke": {
                        "color": "#D48232",
                        "opacity": 1,
                        "width": 1
                      },
                      "width": null
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "data": {
                    "source": "example",
                    "x": "time",
                    "y": "Blocked"
                  },
                  "defaultState": {
                    "visible": true
                  },
                  "hiddenInLegend": false,
                  "label": {
                    "text": "Blocked"
                  },
                  "line": {
                    "appearance": {
                      "bullets": [
                        {
                          "deriveFieldsFromData": {
                            "fill": {
                              "color": "",
                              "opacity": ""
                            },
                            "rotation": "",
                            "stroke": {
                              "color": "",
                              "opacity": "",
                              "width": ""
                            }
                          },
                          "enabled": false,
                          "fill": {
                            "color": "",
                            "opacity": 1
                          },
                          "heatRules": {
                            "dataField": "",
                            "enabled": false,
                            "max": 100,
                            "min": 2
                          },
                          "height": 10,
                          "label": {
                            "position": {
                              "dx": 0,
                              "dy": 0
                            },
                            "text": "{value}"
                          },
                          "render": "circle",
                          "rotation": 0,
                          "stroke": {
                            "color": "",
                            "opacity": 1,
                            "width": 1
                          },
                          "tooltip": {
                            "background": {
                              "color": "",
                              "opacity": 1
                            },
                            "cornerRadius": 3,
                            "enabled": true,
                            "pointerLength": 4,
                            "text": "{name}: [bold]{valueY}[/]"
                          },
                          "width": 10
                        }
                      ],
                      "connect": true,
                      "fill": {
                        "color": "",
                        "opacity": 0
                      },
                      "minDistance": 0.5,
                      "stroke": {
                        "color": "",
                        "dashArray": "",
                        "opacity": 1,
                        "width": 3
                      },
                      "tensionX": 1,
                      "tensionY": 1
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "name": "Blocked",
                  "render": "column",
                  "stepLine": {
                    "appearance": {
                      "bullets": [
                        {
                          "deriveFieldsFromData": {
                            "fill": {
                              "color": "",
                              "opacity": ""
                            },
                            "rotation": "",
                            "stroke": {
                              "color": "",
                              "opacity": "",
                              "width": ""
                            }
                          },
                          "enabled": true,
                          "fill": {
                            "color": "",
                            "opacity": 1
                          },
                          "heatRules": {
                            "dataField": "",
                            "enabled": false,
                            "max": 100,
                            "min": 2
                          },
                          "height": 10,
                          "label": {
                            "position": {
                              "dx": 0,
                              "dy": 0
                            },
                            "text": "{value}"
                          },
                          "render": "circle",
                          "rotation": 0,
                          "stroke": {
                            "color": "",
                            "opacity": 1,
                            "width": 1
                          },
                          "tooltip": {
                            "background": {
                              "color": "",
                              "opacity": 1
                            },
                            "cornerRadius": 3,
                            "enabled": true,
                            "pointerLength": 4,
                            "text": "{name}: [bold]{valueY}[/]"
                          },
                          "width": 10
                        }
                      ],
                      "connect": true,
                      "fill": {
                        "color": "",
                        "opacity": 0
                      },
                      "minDistance": 0.5,
                      "stroke": {
                        "color": "",
                        "dashArray": "",
                        "opacity": 1,
                        "width": 3
                      },
                      "tensionX": 1,
                      "tensionY": 1
                    },
                    "open": {
                      "x": "",
                      "y": ""
                    }
                  },
                  "tooltip": {
                    "background": {
                      "color": "",
                      "opacity": 1
                    },
                    "cornerRadius": 3,
                    "enabled": true,
                    "pointerLength": 4,
                    "text": "{name}: [bold]{valueY}[/] min"
                  },
                  "visible": true,
                  "xAxis": "time",
                  "yAxis": "Starved",
                  "zIndex": 0
                }
              ],
              "xAxes": [
                {
                  "appearance": {
                    "font": {
                      "size": 12,
                      "weight": 500
                    },
                    "grid": {
                      "color": "",
                      "dashArray": "",
                      "minDistance": 60,
                      "opacity": 1,
                      "position": 0.5
                    },
                    "inside": false,
                    "labels": {
                      "color": "",
                      "horizontalCenter": "middle",
                      "opacity": 1,
                      "rotation": 25,
                      "verticalCenter": "middle"
                    },
                    "opposite": false
                  },
                  "category": {
                    "break": {
                      "enabled": false,
                      "endCategory": "",
                      "size": 0.05,
                      "startCategory": ""
                    }
                  },
                  "date": {
                    "baseInterval": {
                      "count": 1,
                      "enabled": false,
                      "skipEmptyPeriods": false,
                      "timeUnit": "hour"
                    },
                    "break": {
                      "enabled": false,
                      "endDate": "",
                      "size": 0.05,
                      "startDate": ""
                    },
                    "format": "M/d/yy HHHH",
                    "inputFormat": "yyyy-MM-d h:m:s",
                    "range": {
                      "max": "",
                      "min": "",
                      "useStrict": false
                    }
                  },
                  "inversed": false,
                  "label": {
                    "color": "",
                    "enabled": true,
                    "text": "Time"
                  },
                  "name": "time",
                  "render": "date",
                  "tooltip": {
                    "background": {
                      "color": "",
                      "opacity": 1
                    },
                    "cornerRadius": 3,
                    "enabled": true,
                    "pointerLength": 4,
                    "text": ""
                  },
                  "value": {
                    "break": {
                      "enabled": false,
                      "endValue": 100,
                      "size": 0.05,
                      "startValue": 0
                    },
                    "format": "#,###.##",
                    "logarithmic": false,
                    "range": {
                      "max": "",
                      "min": "",
                      "useStrict": false
                    }
                  },
                  "visible": true
                }
              ],
              "yAxes": [
                {
                  "appearance": {
                    "font": {
                      "size": "",
                      "weight": 500
                    },
                    "grid": {
                      "color": "",
                      "dashArray": "",
                      "minDistance": null,
                      "opacity": 1,
                      "position": 0.5
                    },
                    "inside": false,
                    "labels": {
                      "color": "",
                      "horizontalCenter": "middle",
                      "opacity": 1,
                      "rotation": 0,
                      "verticalCenter": "middle"
                    },
                    "opposite": false
                  },
                  "category": {
                    "break": {
                      "enabled": false,
                      "endCategory": "",
                      "size": 0.05,
                      "startCategory": ""
                    }
                  },
                  "date": {
                    "baseInterval": {
                      "count": 1,
                      "enabled": false,
                      "skipEmptyPeriods": false,
                      "timeUnit": "hour"
                    },
                    "break": {
                      "enabled": false,
                      "endDate": "",
                      "size": 0.05,
                      "startDate": ""
                    },
                    "format": "M/d/yyyy HH:mm:ss",
                    "inputFormat": "yyyy-MM-dd kk:mm:ss",
                    "range": {
                      "max": "",
                      "min": "",
                      "useStrict": false
                    }
                  },
                  "inversed": false,
                  "label": {
                    "color": "",
                    "enabled": true,
                    "text": ""
                  },
                  "name": "Starved",
                  "render": "value",
                  "tooltip": {
                    "background": {
                      "color": "",
                      "opacity": 1
                    },
                    "cornerRadius": 3,
                    "enabled": true,
                    "pointerLength": 4,
                    "text": ""
                  },
                  "value": {
                    "break": {
                      "enabled": false,
                      "endValue": 100,
                      "size": 0.05,
                      "startValue": 0
                    },
                    "format": "#,###.##",
                    "logarithmic": false,
                    "range": {
                      "max": "",
                      "min": "",
                      "useStrict": false
                    }
                  },
                  "visible": true
                },
                {
                  "appearance": {
                    "font": {
                      "size": "",
                      "weight": 500
                    },
                    "grid": {
                      "color": "",
                      "dashArray": "4,4",
                      "minDistance": null,
                      "opacity": 1,
                      "position": 0.5
                    },
                    "inside": false,
                    "labels": {
                      "color": "",
                      "horizontalCenter": "middle",
                      "opacity": 1,
                      "rotation": 0,
                      "verticalCenter": "middle"
                    },
                    "opposite": true
                  },
                  "category": {
                    "break": {
                      "enabled": false,
                      "endCategory": "",
                      "size": 0.05,
                      "startCategory": ""
                    }
                  },
                  "date": {
                    "baseInterval": {
                      "count": 1,
                      "enabled": false,
                      "skipEmptyPeriods": false,
                      "timeUnit": "hour"
                    },
                    "break": {
                      "enabled": false,
                      "endDate": "",
                      "size": 0.05,
                      "startDate": ""
                    },
                    "format": "M/d/yyyy",
                    "inputFormat": "yyyy-MM-dd kk:mm:ss",
                    "range": {
                      "max": "",
                      "min": "",
                      "useStrict": false
                    }
                  },
                  "inversed": false,
                  "label": {
                    "color": "",
                    "enabled": true,
                    "text": "Output Temp"
                  },
                  "name": "Blocked",
                  "render": "value",
                  "tooltip": {
                    "background": {
                      "color": "",
                      "opacity": 1
                    },
                    "cornerRadius": 3,
                    "enabled": true,
                    "pointerLength": 4,
                    "text": ""
                  },
                  "value": {
                    "break": {
                      "enabled": false,
                      "endValue": 100,
                      "size": 0.05,
                      "startValue": 0
                    },
                    "format": "#,###.##",
                    "logarithmic": false,
                    "range": {
                      "max": "",
                      "min": "",
                      "useStrict": false
                    }
                  },
                  "visible": true
                }
              ]
            },
            "type": "ia.chart.xy"
          },
          {
            "meta": {
              "name": "timePeriodLabel"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "position.display": {
                "binding": {
                  "config": {
                    "struct": {
                      "eqPath": "{view.params.equipmentPath}",
                      "timePeriod": "{view.params.timePeriod}"
                    },
                    "waitOnAll": true
                  },
                  "transforms": [
                    {
                      "code": "\tif value[\"eqPath\"] \u003d\u003d None or value[\"eqPath\"] \u003d\u003d \"\" or value[\"timePeriod\"] \u003d\u003d \"\" or value[\"timePeriod\"] \u003d\u003d None:\n\t\treturn False \n\treturn True",
                      "type": "script"
                    }
                  ],
                  "type": "expr-struct"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.timePeriod"
                  },
                  "transforms": [
                    {
                      "code": "\treturn \"(Based on \" +value + \")\"",
                      "type": "script"
                    }
                  ],
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "color": "#808080",
                "fontFamily": "Roboto",
                "fontSize": 12,
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "runtime"
        },
        "position": {
          "basis": "200px",
          "grow": 1,
          "shrink": 0
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "expression": "!{view.params.configuring}"
              },
              "type": "expr"
            },
            "persistent": true
          }
        },
        "props": {
          "alignContent": "center",
          "direction": "column",
          "style": {
            "overflow": "hidden"
          }
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "configuration"
        },
        "position": {
          "basis": "320px",
          "display": false,
          "grow": 1
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.configuring"
              },
              "type": "property"
            },
            "persistent": true
          },
          "props.params.equipmentPathIn": {
            "persistent": true
          },
          "props.params.timePeriodIn": {
            "persistent": true
          }
        },
        "props": {
          "params": {
            "equipmentPathIn": "",
            "equipmentPathOut": "",
            "timePeriodIn": "",
            "timePeriodOut": "",
            "titleIn": "Downtime Duration By Reason",
            "titleOut": "Downtime Duration By Reason"
          },
          "path": "Page/Widgets/Configuration/Equipment Path, Time Period, Title"
        },
        "type": "ia.display.view"
      }
    ],
    "events": {
      "system": {
        "onStartup": {
          "config": {
            "script": "\t\tself.getChild(\"runtime\").getChild(\"mesAnalysisController\").custom.end \u003d system.date.now()"
          },
          "scope": "G",
          "type": "script"
        }
      }
    },
    "meta": {
      "name": "root"
    },
    "props": {
      "alignContent": "center",
      "direction": "column",
      "style": {
        "overflow": "visible"
      }
    },
    "type": "ia.container.flex"
  }
}